// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System;
    using System.Collections.Generic;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Shared.Utils;
    using Eco.World;
    using Eco.World.Blocks;
    using Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
	
	[RequiresSkill(typeof(AdvancedSmeltingSkill), 2)]
    public class WetTailingReprocessingRecipe :
        RecipeFamily
    {
        public WetTailingReprocessingRecipe()
        {
            this.Initialize(Localizer.DoStr("Wet Tailing Reprocessing"), typeof(WetTailingReprocessingRecipe));
            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "WetTailing",
                    Localizer.DoStr("WetTailing"),
                    new IngredientElement[]
                    {
                        new IngredientElement(typeof(WetTailingsItem), 2, true),   
                    },
                    new CraftingElement[]
                    {
                        new CraftingElement<SandItem>(1f),
                        new CraftingElement<CrushedGraniteItem>(0.5f),
                        new CraftingElement<IronConcentrateItem>(0.3f),   
                        new CraftingElement<CopperConcentrateItem>(0.12f),   
                        new CraftingElement<GoldConcentrateItem>(0.08f),   
                        new CraftingElement<WetTailingsItem>(3),
                    }
                )
            };
            this.LaborInCalories = CreateLaborInCaloriesValue(60);
            this.ExperienceOnCraft = 0;
            this.CraftMinutes = CreateCraftTimeValue(typeof(CrushedCopperLv2Recipe), this.UILink(), 1.3f, typeof(MiningSkill)); 
            CraftingComponent.AddRecipe(typeof(FrothFloatationCellObject), this);
        }
    }
}
